MLAPI API Reference

# MessageChunker
GetMessageOrdered Method

[This is preliminary documentation and is subject to change.]

Converts a list of chunks back into the original buffer, this requires the list to be in correct order and properly verified

Namespace: MLAPI.NetworkingManagerComponents.Binary
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static byte[] GetMessageOrdered(
    	ref List<byte[]> chunks,
    	int chunkSize = -1
    )

Request Example
View Source

#### Parameters

chunks
  Type: System.Collections.Generic
  List
  Byte
  The list of chunks
chunkSize (Optional)
  Type: System
  Int32
  The size of each chunk. Optional

#### Return Value

Type:
Byte

[Missing <returns> documentation for "M:MLAPI.NetworkingManagerComponents.Binary.MessageChunker.GetMessageOrdered(System.Collections.Generic.List{System.Byte[]}@,System.Int32)"]

See Also

#### Reference

MessageChunker Class
MLAPI.NetworkingManagerComponents.Binary Namespace